Skip to main content
GET
/
v1
/
projects
/
{projectId}
/
variables
/
{variableName}
/
environment-overrides
Get environment overrides
curl --request GET \
  --url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/variables/{variableName}/environment-overrides \
  --header 'Authorization: Bearer <token>'
{
  "overrides": [
    {
      "environmentName": "<string>",
      "value": "<unknown>"
    }
  ],
  "variable": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "type": "NUMBER"
  }
}

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

projectId
string<uuid>
required
variableName
string
required
Maximum string length: 255
Pattern: ^(?!\$$)[a-zA-Z_$][a-zA-Z0-9_$]*$

Query Parameters

environmentName
string
Pattern: ^$|^(?!-)[\w() -]{1,255}(?<!-)$

Response

Project variable environment overrides have been retrieved

overrides
object[]
variable
object